# EllipsoidGeodesic

#### new Cesium.EllipsoidGeodesic(start, end, ellipsoid)
Core/EllipsoidGeodesic.js 208

  Initializes a geodesic on the ellipsoid connecting the two provided planetodetic points.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `start` | Cartographic |  | optional The initial planetodetic point on the path.
  `end` | Cartographic |  | optional The final planetodetic point on the path.
  `ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid on which the geodesic lies.

### Members

#### readonlyellipsoid : Ellipsoid
Core/EllipsoidGeodesic.js 232

  Gets the ellipsoid.

#### readonlyend : Cartographic
Core/EllipsoidGeodesic.js 274

  Gets the final planetodetic point on the path.

#### readonlyendHeading : Number
Core/EllipsoidGeodesic.js 304

  Gets the heading at the final point.

#### readonlystart : Cartographic
Core/EllipsoidGeodesic.js 262

  Gets the initial planetodetic point on the path.

#### readonlystartHeading : Number
Core/EllipsoidGeodesic.js 286

  Gets the heading at the initial point.

#### readonlysurfaceDistance : Number
Core/EllipsoidGeodesic.js 244

  Gets the surface distance between the start and end point

### Methods

#### interpolateUsingFraction(fraction) → Cartographic
Core/EllipsoidGeodesic.js 342

  Provides the location of a point at the indicated portion along the geodesic.

  Name | Type | Description
  --- | --- | ---
  `fraction` | Number | The portion of the distance between the initial and final points.

  ##### Returns:

  The location of the point along the geodesic.

#### interpolateUsingSurfaceDistance(distance) → Cartographic
Core/EllipsoidGeodesic.js 354

  Provides the location of a point at the indicated distance along the geodesic.

  Name | Type | Description
  --- | --- | ---
  `distance` | Number | The distance from the inital point to the point of interest along the geodesic

  ##### Returns:

  The location of the point along the geodesic.

  ##### Throws:

  - DeveloperError : start and end must be set before calling function interpolateUsingSurfaceDistance

#### setEndPoints(start, end)
Core/EllipsoidGeodesic.js 323

  Sets the start and end points of the geodesic

  Name | Type | Description
  --- | --- | ---
  `start` | Cartographic | The initial planetodetic point on the path.
  `end` | Cartographic | The final planetodetic point on the path.